<div class="container mt-5">
  <button class="btn btn-outline-info my-2" routerLink="/products">< Back to list</button>
  <div class="card">
    <div class="row">
      <aside class="col-sm-5 border-right">
        <article class="gallery-wrap">
          <div class="img-big-wrap">
            <img [src]="product.imagePath.front">
          </div>
          <div class="img-small-wrap">
            <div class="item-gallery"><img [src]="product.imagePath.back"></div>
          </div>
        </article>
      </aside>
      <aside class="col-sm-7">
        <article class="card-body p-5">
          <h3 class="title mb-3">{{product.name}}</h3>
          <p class="price-detail-wrap">
          <span class="price h3 text-warning">
            <span class="currency">US $</span><span class="num">{{product.price}}</span>
          </span>
            <span>/per each</span>
          </p>
          <dl class="item-property">
            <dt>Description</dt>
            <dd><p>{{product.description}}</p></dd>
          </dl>
          <dl class="param param-feature">
            <dt>Model#</dt>
            <dd>12345611</dd>
          </dl>
          <dl class="param param-feature">
            <dt>Color</dt>
            <dd>Black and white</dd>
          </dl>
          <dl class="param param-feature">
            <dt>Delivery</dt>
            <dd>Russia, USA, and Europe</dd>
          </dl>
          <hr>
          <div class="row">
            <div class="col-sm-5">
              <dl class="param param-inline">
                <dt class="mb-3">Quantity:</dt>
                <dd>
                  <select [(ngModel)]="qty" name="qty" class="form-control form-control-sm"
                          style="width:70px;">
                    <option value="1" selected> 1</option>
                    <option value="2"> 2</option>
                    <option value="3"> 3</option>
                  </select>
                </dd>
              </dl>
            </div>
            <div class="col-sm-7">
              <dl class="param param-inline">
                <dt>Size:</dt>
                <dd>
                  <div class="col-2">
                    <label class="form-check form-check-inline">
                      <input class="form-check-input " type="radio" name="inline" id="inlineRadio"
                             value="option">
                      <span class="form-check-label">SM</span>
                    </label>
                  </div>
                  <div class="col-2">
                    <label class="form-check form-check-inline">
                      <input class="form-check-input" type="radio" name="inlineRadio" id="inlineRadio1"
                             value="option1">
                      <span class="form-check-label">MD</span>
                    </label>
                  </div>
                  <div class="col-2">
                    <label class="form-check form-check-inline">
                      <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2"
                             value="option2">
                      <span class="form-check-label">XXL</span>
                    </label>
                  </div>
                </dd>
              </dl>
            </div>
          </div>
          <hr>
          <ng-container *ngIf="!isLoggedIn; else addToCartButton">
            <a routerLink="/login" class="btn btn-outline-info btn-block">Login to buy this product</a>
          </ng-container>
          <ng-template #addToCartButton>
            <button *ngIf="!alreadyAdded; else added"
                    (click)="addToCart()" class="btn btn-lg btn-block btn-outline-success text-uppercase"><i
              class="fas fa-shopping-cart"></i>Add to cart
            </button>
          </ng-template>
          <ng-template #added>
            <p class="text-success">Successfully added to your basket</p>
            <a routerLink="/products" class="btn btn-primary text-uppercase">continue shopping?</a> |
            <button routerLink="/basket" class="btn btn-dark">checkout</button>
          </ng-template>
        </article>
      </aside>
    </div>
  </div>
</div>


<section class="pt-5 pb-5">
  <div class="container">
    <div class="row">
      <div class="col-6">
        <h3 class="mb-3">Similar Products</h3>
      </div>
      <div class="col-6 text-right">
        <a class="btn btn-primary mb-3 mr-1" href="#carouselExampleIndicators2" role="button" data-slide="prev">
          <i class="fa fa-arrow-left"></i>
        </a>
        <a class="btn btn-primary mb-3 " href="#carouselExampleIndicators2" role="button" data-slide="next">
          <i class="fa fa-arrow-right"></i>
        </a>
      </div>
      <div class="col-12">
        <div id="carouselExampleIndicators2" class="carousel slide" data-ride="carousel">

          <div class="carousel-inner">
            <div class="carousel-item active">
              <div class="row">
                <div class="col-md-4 mb-3" *ngFor="let product of products ">
                  <div class="card">
                    <img class="img-fluid" [src]="product.imagePath.back">
                    <div class="card-body">
                      <h4 class="card-title">{{product.name}}</h4>
                      <p class="card-text">{{product.description}}</p>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <div class="carousel-item">
              <div class="row">
                <div *ngFor="let product of productsSimilar"
                     class="col-md-4 mb-3">
                  <div class="card">
                    <img class="img-fluid" alt="100%x280"
                         [src]="product.imagePath.back">
                    <div class="card-body">
                      <h4 class="card-title">{{product.name}}</h4>
                      <p class="card-text">{{product.description}}</p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
